# norootforbuild

Name:			pst2mbox
Version:		0.5.3
Release:		2.5
Summary:		Converts PST into mbox
URL:			http://alioth.debian.org/projects/libpst/
Source0:		libpst-%{version}.tar.gz
Patch0:			pst2mbox-makefile.patch
Group:			Productivity/Networking/Email/Utilities
License:		GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:		gcc make glibc-devel coreutils

%description
Converts Outlook PST mailbox files into the standard mbox format.




Authors:
--------
    Dave Smith <dave.s@earthcorp.com>

%debug_package
%prep
%setup -q -n libpst-%{version}
%patch0

%build
export PREFIX=%{_prefix}
%__make %{?jobs:-j%{jobs}}
%__make getidblock dumpblocks

%install
export PREFIX=%{_prefix}
%__install -D -m0755 getidblock %{buildroot}%{_bindir}/getidblock
%__install -D -m0755 dumpblocks %{buildroot}%{_bindir}/dumpblocks
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/share/doc/libpst

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog CREDITS FILE-FORMAT FILE-FORMAT.html INSTALL LICENSE TODO VERSION
%{_bindir}/readpst*
%{_bindir}/getidblock
%{_bindir}/dumpblocks
%{_mandir}/man1/readpst*.1*

%changelog
* Sun Sep 07 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build

